: Class BasicClient

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dalsemi.protocol
Class BasicClient

    java.lang.Object
      |
      +--com.dalsemi.protocol.BasicClient

public class BasicClient
extends Object

Field Summary
`protected InputStream` | `cin`
`protected Socket` | `control`
`protected int` | `controlPort`
`protected String` | `controlServer`
`protected OutputStream` | `cout`
`protected Socket` | `data`
`protected int` | `dataPort`
`protected String` | `dataServer`
`static int` | `DEFAULT_SOCKET_TIMEOUT`
`protected InputStream` | `din`
`protected OutputStream` | `dout`

Constructor Summary
`BasicClient(String SERVER, int PORT)` Constructor BasicClient
`BasicClient(String SERVER, int PORT, int timeout)` Constructor BasicClient

Method Summary
`InputStream` | `command(String cmd)` Method command
`InputStream` | `command(String command, boolean wait)` Method command
`int` | `getTimeout()` Method getTimeout
`protected InputStream` | `readDataStream()`
`void` | `setTimeout(int x)` Method setTimeout
`void` | `setupDataSocket(String Dserver, int Dport)` Method setupDataSocket

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### control

    protected Socket control

### data

    protected Socket data

### controlServer

    protected String controlServer

### dataServer

    protected String dataServer

### dataPort

    protected int dataPort

### controlPort

    protected int controlPort

### cin

    protected InputStream cin

### cout

    protected OutputStream cout

### din

    protected InputStream din

### dout

    protected OutputStream dout

### DEFAULT_SOCKET_TIMEOUT

    public static final int DEFAULT_SOCKET_TIMEOUT

Constructor Detail

### BasicClient

    public BasicClient(String SERVER,
                       int PORT)
                throws IOException

  Constructor BasicClient
  Parameters:
    `SERVER` -
    `PORT` -
    `timeout` -
  Throws:
    IOException -

### BasicClient

    public BasicClient(String SERVER,
                       int PORT,
                       int timeout)
                throws IOException

  Constructor BasicClient
  Parameters:
    `SERVER` -
    `PORT` -
    `timeout` -
  Throws:
    IOException -

Method Detail

### setTimeout

    public void setTimeout(int x)

  Method setTimeout
  Parameters:
    `x` -

### getTimeout

    public int getTimeout()

  Method getTimeout
  Returns:

### command

    public InputStream command(String command,
                               boolean wait)
                        throws IOException

  Method command
  Parameters:
    `command` -
    `wait` -
  Returns:
  Throws:
    IOException -

### command

    public InputStream command(String cmd)
                        throws IOException

  Method command
  Parameters:
    `cmd` -
  Returns:
  Throws:
    IOException -

### readDataStream

    protected InputStream readDataStream()
                                  throws IOException

### setupDataSocket

    public void setupDataSocket(String Dserver,
                                int Dport)
                         throws IOException

  Method setupDataSocket
  Parameters:
    `Dserver` -
    `Dport` -
  Throws:
    IOException -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD